This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827125 - double-close bugs in libvirt
double-close bugs in libvirt
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
17
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
QJ120411-023
: OtherQA, ZStream
Depends On: 823716
Blocks: 827127
  Show dependency treegraph
 
Reported: 2012-05-31 12:57 EDT by Eric Blake
Modified: 2013-01-10 23:13 EST (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 823716
: 827127 (view as bug list)
Environment:
Last Closed: 2012-07-04 12:48:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Eric Blake 2012-05-31 13:00:06 EDT
We need six consecutive commits backported to F17, as this set of double-close bugs can cause rather insidious failures of libvirt.

b19c236d69278c967d2d8b4aae97ac76213f1c10 qemu: avoid closing fd more than once
746ff701e8727439cac8ca72531d82e5cb7fa129 command: check for fork error before closing fd
f3cfc7c8848006b613e09bb1acd081716854527e fdstream: avoid double close bug
da831afcf2f6c0d3ed1ea3128a6208f548a05d8f command: avoid double close bugs
655cffa0f25be40c68624036af80bde102177612 avoid fd leak
0a045f01cfa48fabd41c801e3f44034a4e6da485 avoid closing uninitialized fd
Comment 2 Cole Robinson 2012-07-04 12:48:46 EDT
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.